resource "aws_iam_policy" "alpha_iam_policy" {
  name = "${var.athens_prefix}-alpha-iam-policy"
  policy = jsonencode({
    Version = "2012-10-17"
    Statement = [
      {
        Effect = "Allow"
        Action = [
          "logs:CreateLogGroup",
          "logs:CreateLogStream",
          "logs:DescribeLogStreams",
          "logs:PutLogEvents",
        ]
        "Resource" = "*"
      }
    ]
  })
}

resource "aws_iam_role_policy_attachment" "alpha_logs" {
  role        = aws_iam_role.alpha_iam_role.name
  policy_arn  = aws_iam_policy.alpha_iam_policy.arn
}

